Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		gnome-settings-daemon
Version:	2.28.1
Release:	1
BuildArch:	i686
Summary:	The daemon sharing settings from GNOME to GTK+/KDE applications
Group:		System/Daemons
License:	GPLv2+
URL:		http://ftp.gnome.org/pub/gnome/sources/%{name}
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre): GConf >= 2.14
Requires(preun): GConf >= 2.14
Requires(post): GConf >= 2.14

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gtk2+-devel
BuildRequires: libglade-devel
BuildRequires: libgnomekbd-devel
BuildRequires: libICE-devel
BuildRequires: libnotify-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXi-devel
BuildRequires: libxklavier-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXxf86misc-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: pulseaudio-libs-glib2
BuildRequires: startup-notification-devel
BuildRequires: zlib-devel libxkbfile-devel

%description
A daemon to share settings from GNOME to other applications. It also
handles global keybindings, as well as a number of desktop-wide settings.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	dbus-glib-devel

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_default_editor.schemas \
	%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas \
	%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas \
	%{_sysconfdir}/gconf/schemas/desktop_gnome_font_rendering.schemas \
	%{_sysconfdir}/gconf/schemas/gnome-settings-daemon.schemas \
	>& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_default_editor.schemas \
		%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas \
		%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas \
		%{_sysconfdir}/gconf/schemas/desktop_gnome_font_rendering.schemas \
		%{_sysconfdir}/gconf/schemas/gnome-settings-daemon.schemas \
		>& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_default_editor.schemas \
		%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas \
		%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas \
		%{_sysconfdir}/gconf/schemas/desktop_gnome_font_rendering.schemas \
		%{_sysconfdir}/gconf/schemas/gnome-settings-daemon.schemas \
		>& /dev/null || :
fi

%prep
%setup -q

%build
%configure \
--enable-static=no
make %{?_smp_mflags}

cd po
# clean up .po files
make %{name}.pot
for p in *.po; do
  msgmerge -U $p %{name}.pot
done
# regenerate .gmo files
make
cd ..

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%_sysconfdir/gconf/schemas
%_sysconfdir/xdg
%_libdir/gnome-settings-daemon-2.0
%_libexecdir/gnome-settings-daemon
%_libexecdir/gsd-locate-pointer
%_datadir/gnome-settings-daemon
%_datadir/gnome-control-center
%_datadir/dbus-1/services/org.gnome.SettingsDaemon.service
%_datadir/icons

%files devel
%defattr(-,root,root,-)
%_includedir
%_pkgconfig

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Wed Apr 15 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.0-2
- moved libexecdir
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.1-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Initial release